org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class DependencyData

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.DependencyData

    public class DependencyData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DependencyData(IEMFCompareConfiguration compareConfiguration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Diff>` `getRejections()`
`Set<Diff>` `getRequires()`
`Collection<TreeNode>` `getTreeNodes(Diff diff)`
`void` `updateDependencies(org.eclipse.jface.viewers.ISelection selection, IMerger.Registry mergerRegistry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyData

    public DependencyData(IEMFCompareConfiguration compareConfiguration)

### Method Detail

#### updateDependencies

    public void updateDependencies(org.eclipse.jface.viewers.ISelection selection,
                                   IMerger.Registry mergerRegistry)

Parameters:
  `selection` -

#### getRequires

    public Set<Diff> getRequires()

Returns:
  the requires

#### getRejections

    public Set<Diff> getRejections()

Returns:
  the unmergeables

#### getTreeNodes

    public Collection<TreeNode> getTreeNodes(Diff diff)